Bug 1410895 - ValueError: Device 'sdb2' not in tree
Summary: ValueError: Device 'sdb2' not in tree
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:91b15161f5a1b15d47164915784...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 18:06 UTC by Michał Krzysztof Feiler
Modified: 2017-12-12 10:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:12:50 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (782.65 KB, text/plain)
2017-01-06 18:06 UTC, Michał Krzysztof Feiler
no flags Details
File: anaconda.log (59.19 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: dnf.librepo.log (67.36 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: environ (482 bytes, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: hawkey.log (3.63 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: lsblk_output (2.43 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: os_info (449 bytes, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: program.log (125.06 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: storage.log (102.89 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: syslog (288.89 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: ifcfg.log (3.05 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details
File: packaging.log (34.19 KB, text/plain)
2017-01-06 18:07 UTC, Michał Krzysztof Feiler
no flags Details

Description Michał Krzysztof Feiler 2017-01-06 18:06:49 UTC
Description of problem:
PowerMac G5 DP 2.0 Early 2005, iirc 1GB RAM, switches to text mode due to not having 1280MB RAM
(despite having 9GB of swap). Cannot force it into graphical. /dev/sdb is a disk with APM and OSX 10.5.8
on it. Logs suggest that it fails running gtk as well. Will try pulling /dev/sdb off. it fails the same way
selecting both Standard Partition and the (default) LVM. /dev/sda is a GPT-partitioned disk with EFIPartitionByMacOS, two ext4 and one swap part.

Version-Release number of selected component:
anaconda-25.20.8-1

The following was filed automatically by anaconda:
anaconda 25.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/blivet/devicetree.py", line 184, in _remove_device
    raise ValueError("Device '%s' not in tree" % dev.name)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devicetree.py", line 851, in hide
    self._remove_device(device, force=True, modparent=False)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devicetree.py", line 844, in hide
    self.hide(d)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 364, in apply
    self.storage.devicetree.hide(disk)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 304, in input
    self.apply()
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 446, in input
    key = self._screens[-1][0].input(args, key)
ValueError: Device 'sdb2' not in tree

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.ppc64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        25

Comment 1 Michał Krzysztof Feiler 2017-01-06 18:06:59 UTC
Created attachment 1238070 [details]
File: anaconda-tb

Comment 2 Michał Krzysztof Feiler 2017-01-06 18:07:01 UTC
Created attachment 1238071 [details]
File: anaconda.log

Comment 3 Michał Krzysztof Feiler 2017-01-06 18:07:03 UTC
Created attachment 1238072 [details]
File: dnf.librepo.log

Comment 4 Michał Krzysztof Feiler 2017-01-06 18:07:05 UTC
Created attachment 1238073 [details]
File: environ

Comment 5 Michał Krzysztof Feiler 2017-01-06 18:07:06 UTC
Created attachment 1238074 [details]
File: hawkey.log

Comment 6 Michał Krzysztof Feiler 2017-01-06 18:07:08 UTC
Created attachment 1238075 [details]
File: lsblk_output

Comment 7 Michał Krzysztof Feiler 2017-01-06 18:07:09 UTC
Created attachment 1238076 [details]
File: nmcli_dev_list

Comment 8 Michał Krzysztof Feiler 2017-01-06 18:07:11 UTC
Created attachment 1238077 [details]
File: os_info

Comment 9 Michał Krzysztof Feiler 2017-01-06 18:07:13 UTC
Created attachment 1238078 [details]
File: program.log

Comment 10 Michał Krzysztof Feiler 2017-01-06 18:07:16 UTC
Created attachment 1238079 [details]
File: storage.log

Comment 11 Michał Krzysztof Feiler 2017-01-06 18:07:20 UTC
Created attachment 1238080 [details]
File: syslog

Comment 12 Michał Krzysztof Feiler 2017-01-06 18:07:21 UTC
Created attachment 1238081 [details]
File: ifcfg.log

Comment 13 Michał Krzysztof Feiler 2017-01-06 18:07:23 UTC
Created attachment 1238082 [details]
File: packaging.log

Comment 14 Fedora End Of Life 2017-11-16 19:35:26 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:12:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.